import type { ExtractPropTypes } from 'vue';
import { type RenderArrowSlots, type RenderDotsSlots, swiperPorps } from './props';
import './style.less';
export type SwipeToOptions = {
    immediate?: boolean;
};
export type SwiperPorps = Partial<ExtractPropTypes<typeof swiperPorps>>;
declare const Swiper: import("vue").DefineComponent<{
    keyboard: import("vue").PropType<boolean>;
    showArrow: import("vue").PropType<boolean>;
    autoplay: import("vue").PropType<boolean>;
    draggable: import("vue").PropType<boolean>;
    touchable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    loop: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    spaceBetween: {
        type: import("vue").PropType<number>;
        default: number;
    };
    currentIndex: import("vue").PropType<number>;
    defaultIndex: {
        type: import("vue").PropType<number>;
        default: number;
    };
    interval: {
        type: import("vue").PropType<number>;
        default: number;
    };
    duration: {
        type: import("vue").PropType<number>;
        default: number;
    };
    effect: {
        type: import("vue").PropType<"slide" | "fade">;
        default: string;
    };
    direction: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    dotPlacement: {
        type: import("vue").PropType<"top" | "bottom" | "left" | "right">;
        default: string;
    };
    dotType: {
        type: import("vue").PropType<"dot" | "line">;
        default: string;
    };
    showDots: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    trigger: {
        type: import("vue").PropType<"click" | "hover">;
        default: string;
    };
    arrow: {
        type: import("vue").PropType<RenderArrowSlots>;
    };
    dots: {
        type: import("vue").PropType<RenderDotsSlots>;
    };
    'onUpdate:currentIndex': import("vue").PropType<(currentIndex: number) => void>;
    onChange: import("vue").PropType<(currentIndex: number) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:currentIndex")[], "change" | "update:currentIndex", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    keyboard: import("vue").PropType<boolean>;
    showArrow: import("vue").PropType<boolean>;
    autoplay: import("vue").PropType<boolean>;
    draggable: import("vue").PropType<boolean>;
    touchable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    loop: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    spaceBetween: {
        type: import("vue").PropType<number>;
        default: number;
    };
    currentIndex: import("vue").PropType<number>;
    defaultIndex: {
        type: import("vue").PropType<number>;
        default: number;
    };
    interval: {
        type: import("vue").PropType<number>;
        default: number;
    };
    duration: {
        type: import("vue").PropType<number>;
        default: number;
    };
    effect: {
        type: import("vue").PropType<"slide" | "fade">;
        default: string;
    };
    direction: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        default: string;
    };
    dotPlacement: {
        type: import("vue").PropType<"top" | "bottom" | "left" | "right">;
        default: string;
    };
    dotType: {
        type: import("vue").PropType<"dot" | "line">;
        default: string;
    };
    showDots: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    trigger: {
        type: import("vue").PropType<"click" | "hover">;
        default: string;
    };
    arrow: {
        type: import("vue").PropType<RenderArrowSlots>;
    };
    dots: {
        type: import("vue").PropType<RenderDotsSlots>;
    };
    'onUpdate:currentIndex': import("vue").PropType<(currentIndex: number) => void>;
    onChange: import("vue").PropType<(currentIndex: number) => void>;
}>> & {
    "onUpdate:currentIndex"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    touchable: boolean;
    loop: boolean;
    spaceBetween: number;
    defaultIndex: number;
    interval: number;
    duration: number;
    effect: "slide" | "fade";
    direction: "horizontal" | "vertical";
    dotPlacement: "top" | "bottom" | "left" | "right";
    dotType: "dot" | "line";
    showDots: boolean;
    trigger: "click" | "hover";
}>;
export default Swiper;
