import type { Ref, ComputedRef, CSSProperties } from 'vue';
import type { InjectionKey } from 'vue';
import type { SwiperPorps, SwipeToOptions } from './Swiper';
export type SwiperItemExpose = {
    ref?: HTMLElement;
    setOffset?: (offset: number) => void;
};
export type ContextType = any;
export type SwiperContextProps = {
    size: ComputedRef<number>;
    parentProps: ComputedRef<SwiperPorps>;
    slideStyle: ComputedRef<CSSProperties | undefined>;
    isActive: (slideOrIndex: HTMLElement | number) => boolean;
    getSlideIndex: (slideOrIndex?: HTMLElement | number) => number;
    children: Ref<SwiperItemExpose[]>;
    next: () => void;
    prev: () => void;
    isPrevDisabled: () => boolean;
    isNextDisabled: () => boolean;
    swipeTo: (index: number, options: SwipeToOptions) => void;
};
export declare const useContext: <T>(contextInjectKey?: string | InjectionKey<ContextType>, defaultValue?: ContextType) => T;
export declare const provideSwiperContext: (value: SwiperContextProps | ComputedRef<SwiperContextProps>) => void;
export declare const useSwiperContext: () => Required<SwiperContextProps>;
