import type { PropType } from 'vue';
import type { CustomRender, WithFalse } from '@gx-design-vue/pro-utils';
import type { SwipeToOptions } from './Swiper';
export type RenderArrowSlots = WithFalse<(opt: {
    total: number;
    currentIndex: number;
    to: (index: number, options: SwipeToOptions) => void;
    prev: () => void;
    next: () => void;
}) => CustomRender>;
export type RenderDotsSlots = WithFalse<(opt: {
    total: number;
    currentIndex: number;
    to: (index: number, options: SwipeToOptions) => void;
}) => CustomRender>;
export declare const swiperPorps: {
    keyboard: PropType<boolean>;
    showArrow: PropType<boolean>;
    autoplay: PropType<boolean>;
    draggable: PropType<boolean>;
    touchable: {
        type: PropType<boolean>;
        default: boolean;
    };
    loop: {
        type: PropType<boolean>;
        default: boolean;
    };
    spaceBetween: {
        type: PropType<number>;
        default: number;
    };
    currentIndex: PropType<number>;
    defaultIndex: {
        type: PropType<number>;
        default: number;
    };
    interval: {
        type: PropType<number>;
        default: number;
    };
    duration: {
        type: PropType<number>;
        default: number;
    };
    effect: {
        type: PropType<"slide" | "fade">;
        default: string;
    };
    direction: {
        type: PropType<"horizontal" | "vertical">;
        default: string;
    };
    dotPlacement: {
        type: PropType<"top" | "bottom" | "left" | "right">;
        default: string;
    };
    dotType: {
        type: PropType<"dot" | "line">;
        default: string;
    };
    showDots: {
        type: PropType<boolean>;
        default: boolean;
    };
    trigger: {
        type: PropType<"click" | "hover">;
        default: string;
    };
    arrow: {
        type: PropType<RenderArrowSlots>;
    };
    dots: {
        type: PropType<RenderDotsSlots>;
    };
    'onUpdate:currentIndex': PropType<(currentIndex: number) => void>;
    onChange: PropType<(currentIndex: number) => void>;
};
